cURL
curl --request POST \ --url https://api.raul.ugps.io/api/v1/consumption/cached \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "phone_numbers": [ "423663922670587", "423663922670588" ], "start_date": "2025-01-01T00:00:00Z", "end_date": "2025-01-31T23:59:59Z" } '
{ "data": [ { "phone_number": "<string>", "consumption_mb": 123, "period": { "start": "<string>", "end": "<string>" }, "endpoint_id": {}, "sim_id": {}, "not_found": true } ], "total_count": 123, "successful_count": 123, "failed_count": 123 }
Get consumption data ONLY from database cache, without querying Emnify API.
This endpoint is useful for:
Note: Returns empty arrays for phones not in cache.
Bearer token authentication
List of phone numbers (MSISDN) to query
["423663922670587", "423663922670588"]
Start date in ISO 8601 format
"2025-01-01T00:00:00Z"
End date in ISO 8601 format
"2025-01-31T23:59:59Z"
Show child attributes